# Dockerfile: https://gitlab.com/cphtofficial/image-nodejs-chrome
version: "3.8"
services:
  dev-app-nodejs:
    container_name: dev-app-nodejs
    image: registry.gitlab.com/cphtofficial/image-nodejs-chrome:1.0.0
    tty: true
    working_dir: /workdir
    volumes:
      - ../../../:/workdir
      - pkg-data:/workdir/node_modules
    environment:
      NODE_ENV: development
      SELENIUM_SERVER: host
    ports:
      - "3000:3000"

volumes:
  pkg-data: